GET
/
v1
/
learning
/
parent
/
children
/
{studentId}
/
pin
TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'

const client = new TxAgentKitClient({
  token: process.env.TX_AGENT_KIT_TOKEN
})

const response = await client.traceLearn.getTraceLearnParentChildPin({
  studentId: process.env.TX_AGENT_KIT_STUDENT_ID ?? "studentId",
})
{
  "pin": "<string>",
  "requiresReset": true
}

Path Parameters

studentId
string
required

Response

Success

pin
string | null
required

a string matching the pattern ^\d{4}$

Pattern: ^\d{4}$
requiresReset
boolean
required